## ros-humble-nav2-costmap-2d 1.1.9

=== test/CMakeLists.txt ===
set(TEST_MAP_DIR ${CMAKE_CURRENT_SOURCE_DIR}/map)
set(TEST_LAUNCH_DIR ${CMAKE_CURRENT_SOURCE_DIR}/test_launch_files)

add_subdirectory(unit)
add_subdirectory(integration)
add_subdirectory(regression)
