## ros-humble-nav2-costmap-2d 1.1.15

=== debian/changelog ===
ros-humble-nav2-costmap-2d (1.1.15-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steve Macenski <stevenmacenski@gmail.com>  Mon, 12 Aug 2024 08:39:50 -0000
